Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.mom
Class JUMetaObjectManager

`java.lang.Object
oracle.jbo.mom.DefinitionManager
oracle.jbo.uicli.mom.JUMetaObjectManager`

All Implemented Interfaces:
  JUMetaObjectBase, oracle.jbo.common.MetaObjectBase

public class JUMetaObjectManager
extends oracle.jbo.mom.DefinitionManager
implements JUMetaObjectBase

Field Summary
`static JUMetaObjectManager` | `mom`

Fields inherited from class oracle.jbo.mom.DefinitionManager
`mbValidateName, mContext, mLazyLoading, mSubstituteStat`

Fields inherited from interface oracle.jbo.uicli.mom.JUMetaObjectBase
`TYP_APPLICATION, TYP_CONTROL_BINDING, TYP_DEF_APPLICATION, TYP_DEF_CONTROL_BINDING, TYP_DEF_DATACONTROL, TYP_DEF_DATACONTROL_CONFIG, TYP_DEF_FORM_BINDING, TYP_DEF_ITER_BINDING, TYP_DEF_SESSION, TYP_FORM_BINDING, TYP_ITER_BINDING, TYP_SESSION`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`protected` | `JUMetaObjectManager()`

Method Summary
`void` | `addApplication(DCDataControl app)`
`JUApplicationDefImpl` | `createApplicationDefinition(java.lang.String name)`
`static JUApplication` | `createApplicationObject(java.lang.String qualifiedAMName)`
`static JUApplication` | `createApplicationObject(java.lang.String qualifiedAMName, java.util.Properties env)`
`static JUApplication` | `createApplicationObject(java.lang.String qualifiedAMName, java.util.Properties env, oracle.jbo.common.ampool.EnvInfoProvider envInfo)`
`protected oracle.jbo.mom.ContainerDefImpl` | `createContainerDefObject(boolean topLevel)`
`static oracle.jbo.common.ampool.ApplicationPool` | `createPool(java.lang.String qualifiedAMName)` Deprecated. applications should use `oracle.jbo.common.ampool.PoolMgr.findPool` directly or should rely upon `createApplicationObject` to create a pool using the fully qualified ApplicationModule definition name.
`static oracle.jbo.common.ampool.ApplicationPool` | `createPool(java.lang.String qualifiedAMName, java.util.Properties env)` Deprecated. applications should use `oracle.jbo.common.ampool.PoolMgr.findPool` directly or should rely upon `createApplicationObject` to create a pool using the fully qualified ApplicationModule definition name.
`static JUApplication` | `findApplicationObject(java.lang.String qualifiedAMName)`
`oracle.adf.model.BindingContext` | `getBindingContext()`
`static java.lang.String` | `getClientProjectExtension()`
`static java.lang.String` | `getConfigName(java.lang.String qualifiedAMName)` Returns the configuration name for a qualifiedAMName of the form <appDefName>.<sessDefName>.
`DefinitionFactory` | `getControlDefFactory()`
`protected java.lang.String` | `getDefaultMOMCacheScope()`
`DefinitionFactory` | `getDefinitionFactory(java.lang.String sNameSpace)` Returns the factory mapped to the provided namespace.
`protected java.lang.String` | `getDynamicPackageName()`
`protected com.sun.java.util.collections.HashMap` | `getFactoryMap()`
`static JUMetaObjectManager` | `getJUMom()`
`static oracle.jbo.mom.xml.DefXMLParser` | `getParser()` Deprecated. since 10.1.3. See `DefinitionManager.getJboXMLDoc()`.
`protected java.lang.String` | `getProjectFileExtension()`
`java.lang.String[]` | `getXMLVersionArray()`
`void` | `invalidateBindingContainerDef(oracle.adf.model.BindingContext ctx, java.lang.String defName)` Internal: Applications should not use this class.
`DCBindingContainerReference` | `loadBindingContainerRef(oracle.adf.model.BindingContext ctx, org.w3c.dom.Node node)`
`static DCBindingContainerReference` | `loadBindingContainerRef(oracle.jbo.mom.xml.DefElement xmlElement)`
`static void` | `loadCpx(java.lang.String sResource, java.util.Map userParams)`
`oracle.jbo.mom.DefinitionObject` | `loadFromXML(java.lang.String metaObjectName, oracle.jbo.mom.xml.DefElement elem, java.lang.String objType)` Loads the XML metadata stream and returns a Def Object
`protected java.lang.Object` | `loadLazyFromSharedObject(java.lang.String metaObjectName, oracle.jbo.mom.ContainerDefImpl parent, boolean loadParent, boolean sub)`
`protected java.lang.Object` | `loadSpecialObjects(oracle.jbo.mom.xml.DefElement elem, java.lang.String metaObjectName, java.lang.String objType)`
`void` | `registerDefinitionFactory(java.lang.String sNameSpace, DefinitionFactory factory)` Registers a binding factory and associates it with the provided namespace.
`static void` | `releaseApplicationObject(DCDataControl app)` Deprecated. since 10.1.2, use DCDataControl.release() instead to release a datacontrol from the bindings as well as from the business service.
`void` | `removeDefinitionFactory(java.lang.String sNameSpace)` Removed the factory associated with the provided namespace.
`static void` | `reportException(DCBindingContainer formBnd, java.lang.Exception ex)`
`static void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex)`
`static void` | `reportException(JUFormBinding formBnd, java.lang.Exception ex, boolean reportExceptionNow)`
`static JUApplicationDefImpl` | `setApplicationDefinition(java.io.InputStream is, java.lang.String appDefName)` Deprecated. since 10.1.3. Use `setApplicationDefinition(String)` instead, if possible.
`static JUApplicationDefImpl` | `setApplicationDefinition(java.io.Reader reader, java.lang.String appDefName)` Deprecated. since 10.1.3. Use `setApplicationDefinition(String)` instead, if possible.
`static JUApplicationDefImpl` | `setApplicationDefinition(java.lang.String appDefName)`
`static void` | `setApplicationObject(java.lang.String qualifiedName, oracle.jbo.ApplicationModule am)`
`static void` | `setBaseErrorHandler(JUErrorHandler baseErrorHandler)` Deprecated. since 9.0.5.1, Use setErrorHandler instead.
`static void` | `setControlDefFactory(DefinitionFactory factory)`
`static void` | `setErrorHandler(DCErrorHandler baseErrorHandler)`
`void` | `setJClientDefFactory(DefinitionFactory factory)` Internal: Applications should not use this class.
`protected boolean` | `usesMDSByDefault()`

Methods inherited from class oracle.jbo.mom.DefinitionManager
`dumpDefObjInfo, dumpMOM, dumpMOM, findContainer, findDefinitionObject, findDefinitionObject, findDefinitionObject, findDefinitionObjectDontCheckName, findLoadedObject, findSubstituteName, getBooleanFlag, getContext, getCurrentApplicationMap, getDefinitionObjectsMap, getDynamicObjectsContainer, getJboDTD, getJboXMLDoc, getLatestDTDVersion, getLazyLoadProp, getMapLock, getMOMCacheScope, getMOMProperties, getStatementMonitor, initListener, initManager, initSubExtendsPropForProject, insertDefinition, insertDefinition, is323Compatible, is903Compatible, isLazyLoadingMode, loadBaseXMLElement, loadContext, loadDefElement, loadLazyDefinitionObject, loadProjectDefinition, loadProjectDefinition, loadProjectDefinition, loadProjectDefinition, removeAllDefinitions, removeDefinition, reportVMProperties, setContextImpl, setLazyLoadingMode, setNameCheck, usesMDS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mom

    public static JUMetaObjectManager mom

Constructor Detail

### JUMetaObjectManager

    protected JUMetaObjectManager()

Method Detail

### setJClientDefFactory

    public void setJClientDefFactory(DefinitionFactory factory)

  Internal: Applications should not use this class.

### setControlDefFactory

    public static void setControlDefFactory(DefinitionFactory factory)

### getControlDefFactory

    public DefinitionFactory getControlDefFactory()

### setBaseErrorHandler

    public static void setBaseErrorHandler(JUErrorHandler baseErrorHandler)

  Deprecated. since 9.0.5.1, Use setErrorHandler instead.

### setErrorHandler

    public static void setErrorHandler(DCErrorHandler baseErrorHandler)

### reportException

    public static void reportException(DCBindingContainer formBnd,
                                       java.lang.Exception ex)

### reportException

    public static void reportException(JUFormBinding formBnd,
                                       java.lang.Exception ex)

### reportException

    public static void reportException(JUFormBinding formBnd,
                                       java.lang.Exception ex,
                                       boolean reportExceptionNow)

### setApplicationDefinition

    public static JUApplicationDefImpl setApplicationDefinition(java.io.InputStream is,
                                                                java.lang.String appDefName)

  Deprecated. since 10.1.3. Use `setApplicationDefinition(String)` instead, if possible.

### setApplicationDefinition

    public static JUApplicationDefImpl setApplicationDefinition(java.io.Reader reader,
                                                                java.lang.String appDefName)

  Deprecated. since 10.1.3. Use `setApplicationDefinition(String)` instead, if possible.

### setApplicationDefinition

    public static JUApplicationDefImpl setApplicationDefinition(java.lang.String appDefName)

### createApplicationDefinition

    public JUApplicationDefImpl createApplicationDefinition(java.lang.String name)

### getJUMom

    public static JUMetaObjectManager getJUMom()

### getParser

    public static oracle.jbo.mom.xml.DefXMLParser getParser()

  Deprecated. since 10.1.3. See `DefinitionManager.getJboXMLDoc()`.
  Gets the XML parser.
  Returns:
    the XMLParser.

### getXMLVersionArray

    public java.lang.String[] getXMLVersionArray()

### getDynamicPackageName

    protected java.lang.String getDynamicPackageName()

### getProjectFileExtension

    protected java.lang.String getProjectFileExtension()

### getClientProjectExtension

    public static java.lang.String getClientProjectExtension()

### createContainerDefObject

    protected oracle.jbo.mom.ContainerDefImpl createContainerDefObject(boolean topLevel)

### loadSpecialObjects

    protected java.lang.Object loadSpecialObjects(oracle.jbo.mom.xml.DefElement elem,
                                                  java.lang.String metaObjectName,
                                                  java.lang.String objType)

### loadLazyFromSharedObject

    protected java.lang.Object loadLazyFromSharedObject(java.lang.String metaObjectName,
                                                        oracle.jbo.mom.ContainerDefImpl parent,
                                                        boolean loadParent,
                                                        boolean sub)

### findApplicationObject

    public static JUApplication findApplicationObject(java.lang.String qualifiedAMName)

### setApplicationObject

    public static void setApplicationObject(java.lang.String qualifiedName,
                                            oracle.jbo.ApplicationModule am)

### releaseApplicationObject

    public static void releaseApplicationObject(DCDataControl app)

  Deprecated. since 10.1.2, use DCDataControl.release() instead to release a datacontrol from the bindings as well as from the business service.

### createApplicationObject

    public static JUApplication createApplicationObject(java.lang.String qualifiedAMName)

### createApplicationObject

    public static JUApplication createApplicationObject(java.lang.String qualifiedAMName,
                                                        java.util.Properties env)

### getConfigName

    public static java.lang.String getConfigName(java.lang.String qualifiedAMName)

  Returns the configuration name for a qualifiedAMName of the form <appDefName>.<sessDefName>.
  Returns:
    null if the appDef or the sessDef are not found

### loadBindingContainerRef

    public DCBindingContainerReference loadBindingContainerRef(oracle.adf.model.BindingContext ctx,
                                                               org.w3c.dom.Node node)

### loadBindingContainerRef

    public static DCBindingContainerReference loadBindingContainerRef(oracle.jbo.mom.xml.DefElement xmlElement)

### loadCpx

    public static void loadCpx(java.lang.String sResource,
                               java.util.Map userParams)

### createApplicationObject

    public static JUApplication createApplicationObject(java.lang.String qualifiedAMName,
                                                        java.util.Properties env,
                                                        oracle.jbo.common.ampool.EnvInfoProvider envInfo)

### getBindingContext

    public oracle.adf.model.BindingContext getBindingContext()

### addApplication

    public void addApplication(DCDataControl app)

### createPool

    public static oracle.jbo.common.ampool.ApplicationPool createPool(java.lang.String qualifiedAMName)

  Deprecated. applications should use `oracle.jbo.common.ampool.PoolMgr.findPool` directly or should rely upon `createApplicationObject` to create a pool using the fully qualified ApplicationModule definition name.

### createPool

    public static oracle.jbo.common.ampool.ApplicationPool createPool(java.lang.String qualifiedAMName,
                                                                      java.util.Properties env)

  Deprecated. applications should use `oracle.jbo.common.ampool.PoolMgr.findPool` directly or should rely upon `createApplicationObject` to create a pool using the fully qualified ApplicationModule definition name.

### getFactoryMap

    protected com.sun.java.util.collections.HashMap getFactoryMap()

### registerDefinitionFactory

    public void registerDefinitionFactory(java.lang.String sNameSpace,
                                          DefinitionFactory factory)

  Registers a binding factory and associates it with the provided namespace.

### getDefinitionFactory

    public DefinitionFactory getDefinitionFactory(java.lang.String sNameSpace)

  Returns the factory mapped to the provided namespace.

### removeDefinitionFactory

    public void removeDefinitionFactory(java.lang.String sNameSpace)

  Removed the factory associated with the provided namespace.

### loadFromXML

    public oracle.jbo.mom.DefinitionObject loadFromXML(java.lang.String metaObjectName,
                                                       oracle.jbo.mom.xml.DefElement elem,
                                                       java.lang.String objType)

  Loads the XML metadata stream and returns a Def Object
  Parameters:
    `metaObjectName` - name of the metaobject, for diagnostic purposes.
    `elem` - an XML Stream as a DefElement object.
    `objType` - object type Tag.
  Returns:
    a defObject, which is a JBO Object extending DefinitionObject

### getDefaultMOMCacheScope

    protected java.lang.String getDefaultMOMCacheScope()

### usesMDSByDefault

    protected boolean usesMDSByDefault()

### invalidateBindingContainerDef

    public void invalidateBindingContainerDef(oracle.adf.model.BindingContext ctx,
                                              java.lang.String defName)

  Internal: Applications should not use this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.